/**
Files with lines and words
*/
%%

%public
%class Counts
%standalone

%unicode

%{/*declaration des variables*/
   int num_lines;
   int num_words;
%}

%init{/*Code embarque dans le constructeur !*/
   num_lines=0;
   num_words=0;
%init}

%eof{ /*Code execute a la fin de l'analyse (quand EOF est atteint)*/ 
  System.out.println(num_lines+" lignes et "+num_words+" mots !");
%eof}

/*macros defs*/
NEWLINE=\r|\n|\r\n   
SPACE=\ |\t
LETTER=[A-Za-z]
%%
{NEWLINE}	   { num_lines++; }

{SPACE} 	   {}

{LETTER}+              {num_words++; }
